/* VIDEO SLIDER CONTAINER */
.video-slider {
  position: relative;
  width: 360px;
  float: left;
  max-width: 100%;
  z-index: 10;
}

.video-slider.align-right {
  float: right;
}

/* INNER CONTAINER */
.inner-video-container {
  display: flex;
  overflow: hidden;
  border: 1px solid rgb(75, 75, 75);
  border-radius: 22px;
  padding: 27px;
}

/* VIDEO ITEM */
.video-item {
  display: flex;
  flex-wrap: nowrap;
  min-width: 100%;
  box-sizing: border-box;
  border-radius: 22px;
  cursor: pointer;
  display: block !important;
  transition: opacity 0.3s;
  opacity: 0;
  min-width: 0 !important;
  height: 0;
  width: 0;
  border: none !important;
  padding: 0 !important;
}

.video-item.active {
  display: block;
  opacity: 1;
  min-width: 100% !important;
  height: 100%;
}

/* INNER VIDEO ITEM */
.inner-video-item {
  width: 100%;
  height: 0;
  padding-bottom: 190%;
  position: relative;
  border-radius: 22px;
  overflow: hidden;
  background: none !important;
}

/* NAME */
.video-name {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
  padding: 20px 20px 40px;
  color: #fff;
  font-weight: 500;
  font-size: 18px;
  background-image: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0));
  width: 100%;
  box-sizing: border-box;
}

/* PLAY BUTTON */
.video-item-play-button {
  position: absolute;
  bottom: 50px;
  width: 71px;
  height: 70px;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  z-index: 2;
  transition: transform 0.3s;
}

.playing .video-item-play-button {
  display: none;
}

.video-item-play-button:hover {
  transform: translate3d(-50%, 0, 0) scale(1.05);
}

.video-item-play-button svg ellipse {
  fill: #fff;
}

.video-item-play-button svg path {
  stroke: #6100ff;
}

/* PAUSE BUTTON */
.video-item-pause-button {
  position: absolute;
  bottom: 50px;
  width: 71px;
  height: 70px;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  z-index: 2;
  display: none;
  transition: transform 0.3s;
}

.playing .video-item-pause-button {
  display: block;
}

.video-item-pause-button:hover {
  transform: translate3d(-50%, 0, 0) scale(1.05);
}

/* VIDEO */
.inner-video-item video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  background: #222;
  z-index: 1;
}

/* DUARTION */
.video-player-duration {
  position: absolute;
  bottom: 25px;
  z-index: 2;
  background: #fff;
  width: calc(100% - 50px);
  height: 6px;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  border-radius: 3px;
  transition: opacity 0.3s, transform 0.3s;
  opacity: 0;
  overflow: hidden;
  cursor: pointer;
}

.video-player-duration:hover {
  transform: translate3d(-50%, 0, 0) scale(1.05);
}

.playing .video-player-duration,
.paused .video-player-duration {
  opacity: 1;
}

.time-lapsed {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  background: #6100ff;
}

.playing .time-lapsed {
  transition: width 1s;
}

/* NEXT PREV LINKS */
.next-prev-video-button {
  position: absolute;
  bottom: 165px;
  color: #6100ff;
  font-size: 50px;
  cursor: pointer;
  width: 80px;
  text-align: center;
  z-index: 2;
}

.next-prev-video-button.next-video-button {
  right: 50px;
}

.next-prev-video-button.prev-video-button {
  left: 50px;
}

.next-prev-video-button svg {
  transition: transform 0.3s;
}

.next-prev-video-button:hover svg {
  transform: scale(1.1);
}

.next-prev-video-button svg path {
  fill: #fff;
}

/* ACTIVE INDICATORS */
.active-video-indicators {
  padding: 32px 0;
  text-align: center;
}

/* INDICATOR */
.active-video-indicator {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 1px solid #404040;
  margin: 0 20px;
  cursor: pointer;
  transition: background 0.3s;
}

.active-video-indicator.active,
.active-video-indicator:hover {
  background: #404040;
}

/* -- MEDIA QUERIES -- */

/* 950 */
@media only screen and (max-width: 950px) {
  .video-slider {
    position: relative;
    width: 100%;
    float: none !important;
    max-width: 380px;
    z-index: 10;
    margin: 0 auto;
  }
}
